# $Revision: 1.7 $, $Date: 2011/07/01 14:26:02 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	User
Summary:	User - API for locating user information regardless of OS
Summary(pl.UTF-8):	User - API do znajdowania informacji o użytkowniku niezależnie od systemu operacyjnego
Name:		perl-User
Version:	1.9
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/User/%{pdir}-%{version}.tar.gz
# Source0-md5:	53193e6c37b6d9efb726caf59a8aead7
URL:		http://search.cpan.org/dist/User/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is allows applications to retrieve per-user
characteristics.

%description -l pl.UTF-8
Ten moduł pozwala aplikacjom na pozyskanie informacji o użytkowniku.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/User.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-User.spec,v $
Revision 1.7  2011/07/01 14:26:02  marti
- up to 1.9

Revision 1.6  2008/01/03 12:58:07  qboosh
- generic URL

Revision 1.5  2007-12-31 00:08:31  zbyniu
- up to 1.8

Revision 1.4  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.2  2005/01/05 19:24:39  qboosh
- typo

Revision 1.1  2005/01/03 13:35:38  adamg
- new
